summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2023-04-23 22:58:48 +0000
committerKarl Berry <karl@freefriends.org>2023-04-23 22:58:48 +0000
commit0d4cabbf8c600cc049f2e03d601ddfcaf136afce (patch)
treec962a27d45cd36f7246b70bca33d84ef01542593 /Master/tlpkg
parentd858a8eb881e466f6c3750b7648391fcac0a3263 (diff)
c2a: avoid catalogue update unless place.
c2l: die if argument contains a /, common typo. tl-check-wrapper-consistency: skip {context,mtxrun}.lua. ctan2tds, context-texlive.tlpsrc, tlpkg-ctan-check (TLP_no_check): doc for homegrown context-texlive. git-svn-id: svn://tug.org/texlive/trunk@66923 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/c2a8
-rwxr-xr-xMaster/tlpkg/bin/c2l6
-rwxr-xr-xMaster/tlpkg/bin/tl-check-wrapper-consistency8
-rwxr-xr-xMaster/tlpkg/bin/tlpkg-ctan-check1
-rwxr-xr-xMaster/tlpkg/libexec/ctan2tds1
-rw-r--r--Master/tlpkg/tlpsrc/context-texlive.tlpsrc2
6 files changed, 21 insertions, 5 deletions
diff --git a/Master/tlpkg/bin/c2a b/Master/tlpkg/bin/c2a
index d684c4dfceb..1c6eb16221c 100755
--- a/Master/tlpkg/bin/c2a
+++ b/Master/tlpkg/bin/c2a
@@ -107,6 +107,14 @@ sub do_place {
sub run_c2l {
my ($arg) = @_;
my $tmpfile = "/tmp/c2l$arg.out";
+
+ # don't bother with svn update unless we are doing place.
+ if ($arg eq "p") {
+ delete $ENV{"TLPKGINFO_CATALOGUE_NO_UPDATE"};
+ } else {
+ $ENV{"TLPKGINFO_CATALOGUE_NO_UPDATE"} = 1;
+ }
+
my @ret = `set -o pipefail; c2l $arg @ARGV </dev/null 2>&1 | tee $tmpfile`;
return ($?, @ret);
}
diff --git a/Master/tlpkg/bin/c2l b/Master/tlpkg/bin/c2l
index ea1fbbd14c4..748fa7569bd 100755
--- a/Master/tlpkg/bin/c2l
+++ b/Master/tlpkg/bin/c2l
@@ -15,13 +15,17 @@ umask 022;
exit (&main ());
sub main {
+ my $arg = $ARGV[0];
+ if ($arg =~ m!/!) {
+ die "$0: argument must not contain /: $arg\n";
+ }
+
my $real0 = Cwd::abs_path ($0);
my $scriptdir = File::Basename::dirname ($real0); # .../Master/tlpkg/bin
my $TLROOT = Cwd::abs_path ("$scriptdir/../../.."); # ...
chdir ($scriptdir) || die "chdir($scriptdir) failed"; # avoid . in PATH confusion
# platform abbrev
- (my $arg = $ARGV[0]) =~ s,/$,,; # ignore trailing /
if ($arg eq "asy") {
exec ("tl-update-asy --build");
} elsif ($arg eq "aarch") {
diff --git a/Master/tlpkg/bin/tl-check-wrapper-consistency b/Master/tlpkg/bin/tl-check-wrapper-consistency
index b7c6dd8c356..3db1f5e576b 100755
--- a/Master/tlpkg/bin/tl-check-wrapper-consistency
+++ b/Master/tlpkg/bin/tl-check-wrapper-consistency
@@ -62,7 +62,10 @@ sub unx_wrapper_entries {
die "readlink($ent) failed: $!" if !defined ($target);
next unless $target =~ /^\.\./; # skip all but .. symlinks
- # the target of the symlink should be executable.
+ # skip {context,mtxrun}.lua:
+ next if $ent =~ /\.lua$/;
+
+ # the target of the symlink should otherwise be executable.
warn "$ent: target $target not executable\n" if ! -x $target;
$ret{$ent} = $target; # remember name and link target
@@ -91,9 +94,6 @@ sub check_w32 {
for my $k (sort keys %uw) {
next if $is_shell_script{$k}; # skip shell scripts
#
- # skip {context,mtxrun}.lua:
- next if $k =~ /\.lua$/;
- #
# also skip these special cases:
next if $k =~
/^(epspdftk|latexindent|mktex.*|texdoctk|tlcockpit|tlmgr|tlshell|xasy)$/;
diff --git a/Master/tlpkg/bin/tlpkg-ctan-check b/Master/tlpkg/bin/tlpkg-ctan-check
index d741e158d28..5902f999ce1 100755
--- a/Master/tlpkg/bin/tlpkg-ctan-check
+++ b/Master/tlpkg/bin/tlpkg-ctan-check
@@ -929,6 +929,7 @@ my @TLP_no_check = (
"cjkutils", # binary, from cjk
"cns", # old unchanging font under CJK on ctan
"context", # binary+taco/mojca
+ "context-texlive", # ours
"cs", # multiple .tar.gz, too painful to unpack
"ctib", # binary
"ctie", # binary
diff --git a/Master/tlpkg/libexec/ctan2tds b/Master/tlpkg/libexec/ctan2tds
index 17a03ca8e97..a3b20fbff5e 100755
--- a/Master/tlpkg/libexec/ctan2tds
+++ b/Master/tlpkg/libexec/ctan2tds
@@ -372,6 +372,7 @@ chomp (my $ctan_root = `tlpkginfo --ctan-root`);
'context-simplefonts', "&MAKEcopy",
'context-simpleslides',"&MAKEcopy",
'context-taspresent', "&MAKEcopy",
+ 'context-texlive', "die 'skipping, maintained in TL, see .tlpsrc'",
'context-title', "&MAKEcopy",
'context-top-ten', "die 'skipping, overhaul needed per author'",
'context-transliterator', "&MAKEcopy",
diff --git a/Master/tlpkg/tlpsrc/context-texlive.tlpsrc b/Master/tlpkg/tlpsrc/context-texlive.tlpsrc
index effb2640005..d9b5a4b65a4 100644
--- a/Master/tlpkg/tlpsrc/context-texlive.tlpsrc
+++ b/Master/tlpkg/tlpsrc/context-texlive.tlpsrc
@@ -1 +1,3 @@
+shortdesc TeX Live-specific helpers for ConTeXt (caches, papersize)
+longdesc The code is in the directory texmf-dist/tex/context/texlive.
runpattern d texmf-dist/tex/context/texlive